package com.gic.demo.single.service.impl;

import com.gic.demo.single.dao.mapper.DemoStoreMapper;
import com.gic.demo.single.entity.TabGicDemoStore;
import com.gic.demo.single.service.DemoStoreService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


/**
 * 门店内部服务
 *
 * @author zhurz
 */
@Service
public class DemoStoreServiceImpl implements DemoStoreService {

    @Autowired
    private DemoStoreMapper mapper;

    /**
     * 根据id查询
     *
     * @param storeId 门店id
     * @return
     */
    @Override
//    @Transactional()
//    @Transactional(readOnly = true)
    public TabGicDemoStore findDemoStoreById(String storeId) {
        if (StringUtils.isBlank(storeId)) {
            return null;
        }
        return mapper.selectByPrimaryKey(storeId);
    }

    @Override
    public void test1(String storeId) {
        mapper.selectByPrimaryKey(storeId);
    }

    @Override
    @Transactional
    public void test2(String storeId) {
        mapper.selectByPrimaryKey(storeId);
    }

    @Override
    @Transactional(readOnly = true)
    public void test3(String storeId) {
        mapper.selectByPrimaryKey(storeId);
    }
}
